nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
nx::sdk::cloud_storage::ObjectTrack Struct Reference

## Public Member Functions
| ObjectTrack (const nx::kit::Json &json) noexcept(false)
| ObjectTrack (const char *jsonData) noexcept(false)
template<typename T >
| ObjectTrack (const T &)=delete
bool | operator== (const ObjectTrack &) const
nx::kit::Json | to_json () const

## Static Public Member Functions
static ValueOrError< ObjectTrack > | fromJson (const char *jsonStr) noexcept
static ValueOrError< ObjectTrack > | fromJson (const nx::kit::Json &json) noexcept

## Public Attributes
std::string | id
std::string | deviceId
std::string | objectTypeId
Attributes | attributes
std::chrono::microseconds | firstAppearanceTimestamp {}
std::chrono::microseconds | lastAppearanceTimestamp {}
ObjectRegion | objectPosition
std::string | analyticsEngineId
std::optional< BestShot > | bestShot
std::optional< Title > | title

## Member Data Documentation

## ◆ analyticsEngineId

std::string nx::sdk::cloud_storage::ObjectTrack::analyticsEngineId

An analytics plugin id that provided data.

## ◆ attributes

Attributes nx::sdk::cloud_storage::ObjectTrack::attributes

A list of the Object Track Attributes. Each Attribute in the list consists of a name and a value. For example `color=red`,`hasBag=true`, etc. An Attribute value may also contain a numeric range, for example: `speed=[10..50]`.

## ◆ deviceId

std::string nx::sdk::cloud_storage::ObjectTrack::deviceId

Device that this object track was collected from id.

## ◆ firstAppearanceTimestamp

std::chrono::microseconds nx::sdk::cloud_storage::ObjectTrack::firstAppearanceTimestamp {}

Object Track start time.

## ◆ lastAppearanceTimestamp

std::chrono::microseconds nx::sdk::cloud_storage::ObjectTrack::lastAppearanceTimestamp {}

Object Track end time.

## ◆ objectPosition

ObjectRegion nx::sdk::cloud_storage::ObjectTrack::objectPosition

Object Track coordinates. See ObjectRegion description for more details.

## ◆ objectTypeId

std::string nx::sdk::cloud_storage::ObjectTrack::objectTypeId

Object category (vehicle, person, e.t.c.). The string of the type must be compared starting from the beginning. For example, object track may have a 'human.head' type. This Object Track should be found if filter.text contains "human" Object Type.

The documentation for this struct was generated from the following files:

- src/nx/sdk/cloud_storage/helpers/data.h
- src/nx/sdk/cloud_storage/helpers/data.cpp